/*
 * Utilities: A classic collection of JavaScript utilities
 * Copyright 2112 Matthew Eernisse (mde@fleegix.org)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/
var utils = {}
// Core methods
  , core = require('utilities/core')
// Namespaces with methods
  , string = require('utilities/string')
  , file = require('utilities/file')
  , async = require('utilities/async')
  , i18n = require('utilities/i18n')
  , uri = require('utilities/uri')
  , array = require('utilities/array')
  , object = require('utilities/object')
  , date = require('utilities/date')
  , request = require('utilities/request')
  , log = require('utilities/log')
  , network = require('utilities/network')
// Third-party -- remove this if possible
  , inflection = require('utilities/inflection')
// Constructors
  , EventBuffer = require('utilities/event_buffer').EventBuffer
  , XML = require('utilities/xml').XML
  , SortedCollection = require('utilities/sorted_collection').SortedCollection;

core.mixin(utils, core);

utils.string = string;
utils.file = file;
utils.async = async;
utils.i18n = i18n;
utils.uri = uri;
utils.array = array;
utils.object = object;
utils.date = date;
utils.request = request;
utils.log = log;
utils.network = network;
utils.inflection = inflection;
utils.SortedCollection = SortedCollection;
utils.EventBuffer = EventBuffer;
utils.XML = XML;

module.exports = utils;

